Bug 16716 - Invalid SQL GROUP BY clauses in GetborCatFromCatType and GetAuthorisedValues
Summary: Invalid SQL GROUP BY clauses in GetborCatFromCatType and GetAuthorisedValues
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Srdjan Jankovic
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 03:30 UTC by Srdjan Jankovic
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16716: Replaced wrong GROUP BY with DISTINCT (2.02 KB, patch)
2016-06-13 03:40 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16716: Replaced wrong GROUP BY with DISTINCT (2.07 KB, patch)
2016-07-21 14:18 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16716: Replaced wrong GROUP BY with DISTINCT (2.14 KB, patch)
2016-07-21 17:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2016-06-13 03:30:31 UTC

    
Comment 1 Srdjan Jankovic 2016-06-13 03:34:58 UTC
MySQL used to tolerate it, but won't any more.

A noop, places where GetborCatFromCatType() (member area, eg add/modify member) and GetAuthorisedValues() (all over the place, eg item edit for Lost status etc) are used.
Comment 2 Srdjan Jankovic 2016-06-13 03:40:45 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-13 16:44:24 UTC
A quick comment to tell that bug 15407 is going to remove GetborCatFromCatType
Comment 4 Srdjan Jankovic 2016-06-14 00:02:50 UTC
Ok, I can either drop that one now or wait for 15407 to be merged. The thing is anyone installing on a newer version of MySql may find this a quick fix.
What about the authorised values?
Comment 5 Jonathan Druart 2016-06-26 07:59:52 UTC
(In reply to Srdjan Jankovic from comment #4)
> Ok, I can either drop that one now or wait for 15407 to be merged. The thing
> is anyone installing on a newer version of MySql may find this a quick fix.
> What about the authorised values?

I think you are right. It should be pushed before bug 15407 or at least a version for 16.05 will have to be provided.
The AV change looks good to me.
Waiting for QAing it!
Comment 6 Mark Tompsett 2016-07-21 14:18:05 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-07-21 17:34:27 UTC
Created attachment 53600 [details] [review]
Bug 16716: Replaced wrong GROUP BY with DISTINCT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2016-07-22 17:10:29 UTC
Pushed to master for 16.11, thanks Srdjan!
Comment 9 Frédéric Demians 2016-08-01 13:44:22 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 10 Julian Maurice 2016-08-17 11:42:48 UTC
Patches pushed to 3.22.x, will be in 3.22.10